net.sf.cpsolver.studentsct.heuristics.selection

## Class SwapStudentSelection.Selection

- java.lang.Object
- - net.sf.cpsolver.studentsct.heuristics.selection.SwapStudentSelection.Selection

- Enclosing class:
    SwapStudentSelection

      public class SwapStudentSelection.Selection
      extends Object

  This class looks for a possible swap move for the given student

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Selection(Student student)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enrollment` | `getBestEnrollment()` The best enrollment found.
    `double` | `getBestValue()` Cost of the best enrollment found
    `Set<Student>` | `getProblemStudents()` Set of problematic students computed in the last selection
    `long` | `getTime()` Time spent in the last selection
    `boolean` | `isTimeoutReached()` Was timeout reached during the selection
    `SwapStudentSelection.SwapStudentNeighbour` | `select()` The actual selection

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Selection

          public Selection(Student student)

      Constructor
      Parameters:
        `student` - given student

  - ### Method Detail

    - #### select

          public SwapStudentSelection.SwapStudentNeighbour select()

      The actual selection

    - #### isTimeoutReached

          public boolean isTimeoutReached()

      Was timeout reached during the selection

    - #### getTime

          public long getTime()

      Time spent in the last selection

    - #### getBestEnrollment

          public Enrollment getBestEnrollment()

      The best enrollment found.

    - #### getBestValue

          public double getBestValue()

      Cost of the best enrollment found

    - #### getProblemStudents

          public Set<Student> getProblemStudents()

      Set of problematic students computed in the last selection